Page MenuHomePhabricator

Civi: permission update needed for DS agent to Send Failure Notifications?
Closed, ResolvedPublic

Description

DS agent Adri cid=31779349 gets a hanging screen when she tries to Send a Failure Notice. Do you know if this is possibly a permissions issue? If not, are there any workarounds she can try? She got the spinning ball of nonresolution/silent orchestra triangle, when trying to send for CID 11374943:

Event Timeline

MBeat33 created this task.Jul 22 2020, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2020, 8:21 PM
MBeat33 triaged this task as High priority.Jul 23 2020, 2:32 PM

Adri is currently blocked from taking on the task of following up with 700+ recurring donors due to this, so any suggestions will enable her to help a big set of our best donors.

@DStrine is it possible that this be pulled into the current sprint? Adri's blocked from following up with the large group of donors affected by T258013: Fix stuck recurring contributions, add alarm

SHust added a comment.Jul 24 2020, 9:35 PM

@DStrine taking advantage to +1 on the ask to have this task pulled into the current sprint! This is a huge project and we are lucky that Adri is willing to help. Any advice will be greatly appreciated.

I'll have to check to see who can help on Monday.

mepps added a subscriber: mepps.Jul 27 2020, 7:52 PM

@MBeat33 are you comfortable with me trying to send this notification for the cid above?

Ok looks like it's not the xml

<?xml version="1.0"?>
<menu>
  <item>
    <path>civicrm/wmf_thankyou</path>
    <page_callback>CRM_WmfThankyou_Form_WMFThankYou</page_callback>
    <title>Send WMF Thank You</title>
    <access_arguments>access CiviCRM</access_arguments>
  </item>
</menu>

Must be the api itself

Hmm not the render action

public static function permissions():array {
  return ['render' => 'access CiviCRM'];
}

it must be civicrm_api3_thankyou_send - that has to be done with the alterPermissions hook

SHust added a comment.Jul 27 2020, 8:16 PM

@mepps, @MBeat33 is OOO this week. I'm second to him on coordinating this project/task and comfortable with whatever is needed to allow the acid above the needed permission/notice.

@Eileenmcnaughton, let me know if there's anything we need to do from our end. Thank you!

Change 616626 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Fix bug where access CiviCRM is not enough to send emails

https://gerrit.wikimedia.org/r/616626

Change 616626 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Fix bug where access CiviCRM is not enough to send emails

https://gerrit.wikimedia.org/r/616626

SHust added a comment.Jul 30 2020, 3:12 PM

@Eileenmcnaughton , Adri was able to send the Failure Notice. Thank you!

MBeat33 closed this task as Resolved.Aug 3 2020, 4:23 PM
MBeat33 added a project: fr-donorservices.

Thank you Eileen!